/*
BYOND MUD Library Demonstration
Author: Dan (dan@dantom.com)

This example very briefly demonstrates how to use the MUD engine.  The engine
provides the basic framework for saving and loading rooms and players but does
not define a game system (that is mob and obj variables and verbs that affect
how the game is played).  This example defines an extremely simplified game
system, but the general framework should apply to a more complex one.

For more details on how to fully utilize the engine, refer to mud.html.

Contents of this project:

MudDemo.dm  --  basic MUD configurations and commands
combat.dm   --  a very simple game system
world.dm    --  objects and rooms in this world

*/

#include <dan/mud>


/////////////////Player Commands//////////////////

mob/verb
	logout()
		world << "[usr] dematerializes."
		mud.StorePlayer(usr) //write savefile and destroy mob
	get(obj/O in oview())
		view() << "[usr] picks up \an [O]."
		O.Move(usr)
	drop(obj/O in usr)
		view() << "[usr] drops \an [O]."
		O.Move(usr.loc)


/////////////////////Message of the Day/////////////////////

Mud/WelcomeNewPlayer()
	//show new and old players the same welcome message
	return WelcomePlayer()

Mud/WelcomePlayer()
	..()  //show the default welcome message

	usr << {"<p>
This little demonstration of the mud library has a few rooms defined
in the code (MudDemo.dm) and a miniature combat system.  Try out the
<i>edit</i> command in various rooms.

<p>You can move around by clicking in the <b>View</b> panel or by
using the arrow keys.  Just a little imagination is required to
appreciate these old fashioned text worlds.  But some of us consider
that a plus!

<p>If you want to see a larger scale project that uses this library,
visit <a href=byond://Dan.NightMud>Dan.NightMud</a>.

<p>And then, when the moment feels right ... start hacking your own!</p>"}
