/*
Here is a very simple world.
*/

#include <dan/mud>
#include "combat.dm"


///////////////Monsters//////////////

mob/cheeky
	name = "cheeky monster"
	treasure = list(/obj/elixir)
	life = 30


///////////////Treasure//////////////

obj/elixir
	name = "elixir potion"
	verb/drink()
		view() << "[usr] drinks \a [src]."
		usr.AddLife(rand(30))



///////////////////////Rooms///////////////////////////
//Rooms can be created on-line, but the rooms in this//
//demo are defined here.  There are all defined under//
//room/soft_coded for easy removal from the list of  //
//room types that may be created by a builder at     //
//runtime.                                           //
//                                                   //
//Note that these happen to be soft-coded, rather    //
//than hard-coded, so once you make any run-time     //
//changes, future code changes may be overwritten    //
//when it loads the savefile.  Just remove mud.sav to//
//start fresh.                                       //
///////////////////////////////////////////////////////

room/soft_coded
	mouth
		name = "Cave Mouth"
		desc = "The yawning mouth of a cavern opens a path into the dark bowls of the earth.  Many have entered and few have returned."
		roomid = 1  //this id is the default starting point
		north_exit = .tongue
	tongue
		name = "Cave Tongue"
		desc = "The floor is slippery and strangely warm."
		south_exit = .mouth
		east_exit  = .cheek/east
		west_exit  = .cheek/west
		north_exit = .throat
	cheek
		name = "Cheek"
		desc = "The wall of the cave is soft and leathery.  That's odd."
		east
			west_exit  = .tongue
			population = list(/mob/cheeky)
		west
			east_exit  = .tongue
			population = list(/mob/cheeky,/mob/cheeky,/mob/cheeky)
	throat
		name = "Cave Throat"
		desc = "It finally dawns on you that this is no cave after all.  It's a big huge monster and there's no way out!  Ahhhh!"
		New()
			..()
			var/action/exit/teleport/e = new(src)
			e.SetName("tickle throat")
			e.dest  = .mouth
			e.udesc = "Aaaachoooo!  You land in a pile of phlegm."


Mud/New()
	..()

	//Since we link between these rooms by type rather than id,
	//we have to make sure more instances of them are not created
	//by builders at run-time.

	roomtypes.Remove(typesof(/room/soft_coded))
